Subject: Re: [PATCH v2 0/6] PAXB INTx support with proper model

From: Lorenzo Pieralisi <[email-masked]>
Date: Wed, 16 Oct 2019 10:16:07 +0100

On Tue, Oct 15, 2019 at 10:28:24AM -0700, Florian Fainelli wrote:
> On 9/4/19 10:16 AM, Florian Fainelli wrote:
> > On 8/28/19 1:54 AM, Srinath Mannam wrote:
> >> This patch series adds PCIe legacy interrupt (INTx) support to the iProc
> >> PCIe driver by modeling it with its own IRQ domain. All 4 interrupts INTA,
> >> INTB, INTC, INTD share the same interrupt line connected to the GIC
> >> in the system. This is now modeled by using its own IRQ domain.
> >>
> >> Also update all relevant devicetree files to adapt to the new model.
> >>
> >> This patch set is based on Linux-5.2-rc4.
> >>
> >> Changes from v1:
> >>   - Addressed Rob, Lorenzo, Arnd's comments
> >>     - Used child node for interrupt controller.
> >>   - Addressed Andy Shevchenko's comments
> >>     - Replaced while loop with do-while.
> > 
> > Lorenzo, Bjorn, if you are good with the binding and PCI host driver
> > changes, you can take patches 1-2 through your tree, and I will queue up
> > the others through the Broadcom ARM SoC pull requests. If not, please
> > feel free to add a:
> > 
> > Acked-by: Florian Fainelli <[email-masked]>
> 
> I am starting to queue Device Tree patches for 5.5 and I need to know
> whether I should be picking up patches 2 through 6, or if you are going
> to do this, thank you.

I am going to do this but I have comments on the patches they will
have to be updated anyway.

Thanks and apologies for the delay.

Lorenzo

> >> Ray Jui (6):
> >>   dt-bindings: pci: Update iProc PCI binding for INTx support
> >>   PCI: iproc: Add INTx support with better modeling
> >>   arm: dts: Change PCIe INTx mapping for Cygnus
> >>   arm: dts: Change PCIe INTx mapping for NSP
> >>   arm: dts: Change PCIe INTx mapping for HR2
> >>   arm64: dts: Change PCIe INTx mapping for NS2
> >>
> >>  .../devicetree/bindings/pci/brcm,iproc-pcie.txt    |  48 ++++++++--
> >>  arch/arm/boot/dts/bcm-cygnus.dtsi                  |  30 ++++++-
> >>  arch/arm/boot/dts/bcm-hr2.dtsi                     |  30 ++++++-
> >>  arch/arm/boot/dts/bcm-nsp.dtsi                     |  45 ++++++++--
> >>  arch/arm64/boot/dts/broadcom/northstar2/ns2.dtsi   |  28 +++++-
> >>  drivers/pci/controller/pcie-iproc.c                | 100 ++++++++++++++++++++-
> >>  drivers/pci/controller/pcie-iproc.h                |   6 ++
> >>  7 files changed, 260 insertions(+), 27 deletions(-)
> >>
> > 
> > 
> 
> 
> -- 
> Florian

_______________________________________________
linux-arm-kernel mailing list
[email-masked]
http://lists.infradead.org/mailman/listinfo/linux-arm-kernel